Bug 244747 - SELinux prevents FTP login
Summary: SELinux prevents FTP login
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy   
(Show other bugs)
Version: 7
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-18 21:27 UTC by Florin Andrei
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-02 00:26:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Florin Andrei 2007-06-18 21:27:06 UTC
Description of problem:
Trying to login to a F7 machine over FTP. Login fails, and this message is
generated:

avc: denied { execute } for comm="vsftpd" dev=sda3 egid=0 euid=0
exe="/usr/sbin/vsftpd" exit=-13 fsgid=0 fsuid=0 gid=0 items=0 name="unix_update"
pid=6267 scontext=user_u:system_r:ftpd_t:s0 sgid=0
subj=user_u:system_r:ftpd_t:s0 suid=0 tclass=file
tcontext=system_u:object_r:updpwd_exec_t:s0 tty=(none) uid=0 

Version-Release number of selected component (if applicable):
selinux-policy-2.6.4-14.fc7
vsftpd-2.0.5-16.fc7

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Daniel Walsh 2007-06-19 13:12:56 UTC
Fixed in selinux-policy-2.6.4-18

Comment 2 Florin Andrei 2007-06-28 18:07:03 UTC
Did a "yum update" yesterday, vsftpd works fine for me now. Thank you!


Note You need to log in before you can comment on or make changes to this bug.